=== src/libs/libtpms-0.9.6/debian/changelog ===
libtpms (0.9.6) RELEASED; urgency=high

  - tpm2: Check size of buffer before accessing it (CVE-2023-1017 & -1018)

 -- Stefan Berger <stefanb@linux.ibm.com>  Tue, 28 Feb 2023 09:00:00 -0500

libtpms (0.9.5) RELEASED; urgency=medium

  - tpm2: Do not set RSA_FLAG_NO_BLINDING on RSA keys anymore
  - tpm2: Fix a potential overflow expression (coverity)
  - tpm2: Fix size check in CryptSecretDecrypt

 -- Stefan Berger <stefanb@linux.ibm.com>  Fri, 01 Jul 2022 09:00:00 -0500

libtpms (0.9.4) RELEASED; urgency=medium

  - tpm: #undef printf in case it is #define'd (OSS-Fuzz)
  - tpm2: Check return code of BN_div()
  - tpm2: Initialize variables due to gcc complaint (s390x, false positive)
  - tpm12: Initialize variables due to gcc complaint (s390x, false positive)
  - build-sys: Fix configure script to support _FORTIFY_SOURCE=3

 -- Stefan Berger <stefanb@linux.ibm.com>  Mon, 25 Apr 2022 09:00:00 -0500

libtpms (0.9.3) RELEASED; urgency=medium

  - build-sys: Add probing for -fstack-protector
  - tpm2: Do not call EVP_PKEY_CTX_set0_rsa_oaep_label() for label of size (OSSL 3)

 -- Stefan Berger <stefanb@linux.ibm.com>  Mon, 07 Mar 2022 09:00:00 -0500

libtpms (0.9.2) RELEASED; urgency=medium

  * tpm2: When writing state initialize s_ContextSlotMask if not set

 -- Stefan Berger <stefanb@linux.ibm.com>  Thu, 06 Jan 2022 09:00:00 -0500

libtpms (0.9.1) RELEASED; urgency=medium

  * tpm2: Do not write permanent state if only clock changed

 -- Stefan Berger <stefanb@linux.ibm.com>  Wed, 24 Nov 2021 09:00:00 -0500

libtpms (0.9.0) RELEASED; urgency=medium

  * Stable release

 -- Stefan Berger <stefanb@linux.ibm.com>  Wed, 29 Sep 2021 09:00:00 -0500

libtpms (0.9.0~dev1) UNRELEASED; urgency=medium

  * Developer release 1

 -- Stefan Berger <stefanb@linux.ibm.com>  Wed, 24 Feb 2021 13:48:00 -0500

libtpms (0.8.0) RELEASED; urgency=medium

  * Stable release

 -- Stefan Berger <stefanb@linux.ibm.com>  Wed, 24 Feb 2021 10:55:00 -0500

libtpms (0.8.0~dev1) UNRELEASED; urgency=medium

  * Developer release 1

 -- Stefan Berger <stefanb@linux.ibm.com>  Fri, 19 Jul 2019 13:38:08 -0500

libtpms (0.7.0-1) RELEASED; urgency=medium

  * Stable release

 -- Stefan Berger <stefanb@linux.ibm.com>  Thu, 18 Jul 2019 16:26:00 -0500

libtpms (0.7.0~dev1) UNRELEASED; urgency=medium

  * Stable release

 -- Stefan Berger <stefanb@linux.ibm.com>  Mon, 14 Jan 2019 10:25:08 -0500

libtpms (0.6.0-1) RELEASED; urgency=medium

  * Stable release

 -- Stefan Berger <stefanb@linux.ibm.com>  Wed, 09 Jan 2019 12:28:12 -0500

libtpms (0.6.0-1~dev1) RELEASED; urgency=medium

  * Developer release 1

 -- Stefan Berger <stefanb@linux.vnet.ibm.com>  Mon, 13 Nov 2017 13:03:00 -0500

libtpms (0.6.0) UNRELEASED; urgency=medium

  * Initial Release.

 -- Stefan Berger <stefanb@linux.vnet.ibm.com>  Tue, 12 Jan 2016 11:28:33 -0500
